## sqlite3 3.36.0

=== debian/changelog ===
sqlite3 (3.36.0-2) unstable; urgency=high

  * Upload to unstable.
  * Backport upstream security fix for CVE-2021-36690: segmentation fault
    vulnerability with the Expert extension when a column has no collating
    sequence.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 25 Aug 2021 13:04:34 +0200

sqlite3 (3.36.0-1) experimental; urgency=medium

  * New upstream release.
  * Remove sqlite3_fts3_may_be_corrupt@Base and
    sqlite3_fts5_may_be_corrupt@Base symbols as no longer part of the library.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 21 Jun 2021 19:45:18 +0200

## sqlite3 3.37.2

=== debian/changelog ===
sqlite3 (3.37.2-2ubuntu0.5) jammy-security; urgency=medium

  * SECURITY UPDATE: Memory corruption via number of aggregate terms
    - debian/patches/CVE-2025-6965.patch: raise an error right away if the
      number of aggregate terms in a query exceeds the maximum number of
      columns in src/expr.c, src/sqliteInt.h.
    - CVE-2025-6965

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 18 Jul 2025 11:17:24 -0400

sqlite3 (3.37.2-2ubuntu0.4) jammy-security; urgency=medium

  * SECURITY UPDATE: DoS via sqlite3_db_config arguments
    - debian/patches/CVE-2025-29088.patch: harden SQLITE_DBCONFIG_LOOKASIDE
      interface against misuse in src/main.c, src/sqlite.h.in.
    - CVE-2025-29088

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 29 Apr 2025 12:38:50 -0400

sqlite3 (3.37.2-2ubuntu0.3) jammy-security; urgency=medium

  * SECURITY UPDATE: azProhibitedFunctions protection mechanism issue when
    using --safe
    - debian/patches/50-Fix_safe_mode_authorizer_callback.patch: make sure
      that safe mode rejects certain UDFs in src/shell.c.in,
      test/shell2.test.
    - CVE-2022-46908
  * SECURITY UPDATE: heap overflow in sessionReadRecord
    - debian/patches/CVE-2023-7104.patch: fix a buffer overread in the
      sessions extension that could occur when processing a corrupt
      changeset in ext/session/sqlite3session.c.
    - CVE-2023-7104

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 02 Jan 2024 09:41:49 -0500

sqlite3 (3.37.2-2ubuntu0.1) jammy-security; urgency=medium

  * SECURITY UPDATE: array-bounds overflow via large string argument
    - debian/patches/CVE-2022-35737.patch: increase the size of loop
      variables in src/printf.c.
    - CVE-2022-35737

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 04 Nov 2022 09:09:13 -0400

sqlite3 (3.37.2-2) unstable; urgency=medium

  * Fix non-Linux installation. 

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 16 Jan 2022 11:59:39 +0100

sqlite3 (3.37.2-1) unstable; urgency=medium

  * New upstream release.
  * Don't try to build sqlite3-tools on kfreebsd-any.
  * Update symbols file.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 06 Jan 2022 19:16:04 +0100

sqlite3 (3.37.1-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 02 Jan 2022 13:15:04 +0100

sqlite3 (3.37.0-2) experimental; urgency=medium

  * Fix Breaks + Replaces for sqlite3-tools (closes: #1002551).
  * Declare conflicts with emboss on sqlite3-tools (closes: #1002549).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 24 Dec 2021 12:20:47 +0100

sqlite3 (3.37.0-1) experimental; urgency=medium

  * New upstream release.
  * Update symbols file.
  * Distinct license of the patches (closes: #858756).
  * Package sqlite3 tools separately.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 12 Dec 2021 23:34:48 +0100

=== debian/control ===
Source: sqlite3
Section: devel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
Build-Depends: debhelper-compat (= 13), autoconf (>= 2.59), libtool (>= 1.5.2), automake, chrpath, lynx, libreadline-dev, tcl8.6-dev
Build-Conflicts: tcl8.4, tcl8.4-dev, tcl8.5, tcl8.5-dev
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: https://www.sqlite.org/

Package: lemon
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: foreign
Description: LALR(1) Parser Generator for C or C++
 Lemon is an LALR(1) parser generator for C or C++. It does the same
 job as bison and yacc. But lemon is not another bison or yacc
 clone. It uses a different grammar syntax which is designed to reduce
 the number of coding errors. Lemon also uses a more sophisticated
 parsing engine that is faster than yacc and bison and which is both
 reentrant and thread-safe. Furthermore, Lemon implements features
 that can be used to eliminate resource leaks, making is suitable for
 use in long-running programs such as graphical user interfaces or
 embedded controllers.

Package: sqlite3
Section: database
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libsqlite3-0 (= ${binary:Version})
Suggests: sqlite3-doc
Multi-Arch: foreign
Description: Command line interface for SQLite 3
 SQLite is a C library that implements an SQL database engine.
 Programs that link with the SQLite library can have SQL database
 access without running a separate RDBMS process.

Package: sqlite3-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Recommends: sqlite3
Multi-Arch: foreign
Description: SQLite 3 documentation
 SQLite is a C library that implements an SQL database engine.
 Programs that link with the SQLite library can have SQL database
 access without running a separate RDBMS process.
 .
 This package contains the documentation that is also available on
 the SQLite homepage.

Package: libsqlite3-0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: python-migrate (<< 0.11.0-4~), python3-migrate (<< 0.11.0-4~)
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Description: SQLite 3 shared library
 SQLite is a C library that implements an SQL database engine.
 Programs that link with the SQLite library can have SQL database
 access without running a separate RDBMS process.

Package: libsqlite3-dev
Suggests: sqlite3-doc
Section: libdevel
Architecture: any
Depends: libsqlite3-0 (= ${binary:Version}), ${misc:Depends}, libc6-dev
Multi-Arch: same
Description: SQLite 3 development files
 SQLite is a C library that implements an SQL database engine.
 Programs that link with the SQLite library can have SQL database
 access without running a separate RDBMS process.
 .
 This package contains the development files (headers, static libraries)

Package: libsqlite3-tcl
Suggests: sqlite3-doc
Section: interpreters
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: SQLite 3 Tcl bindings
 SQLite is a C library that implements an SQL database engine.
 Programs that link with the SQLite library can have SQL database
 access without running a separate RDBMS process.
 .
 This package contains the Tcl bindings.

Package: sqlite3-tools
Suggests: sqlite3-doc
Section: database
Architecture: linux-any hurd-i386
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: sqlite3 (<< 3.37.0)
Replaces: sqlite3 (<< 3.37.0)
Conflicts: emboss
Multi-Arch: foreign
Description: Command line interface for SQLite 3 (tools)
 This package contains various tools such as:
  - showdb
  - showjournal
  - showstat4
  - showwal
  - sqldiff
  - sqlite3_analyzer

=== debian/rules ===
#!/usr/bin/make -f
#-*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_ARCH_OS ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH_OS)

export LC_ALL:=C.UTF-8

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

DESTDIR=$(CURDIR)/debian/tmp

DDEBUG=`if (echo $(DEB_BUILD_OPTIONS) | grep -q debug) then \
		echo "--enable-debug"; \
	else \
		echo ""; \
	fi`

export DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
export DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
export DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

export LDFLAGS += -Wl,--as-needed
ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
  confflags += --build $(DEB_HOST_GNU_TYPE) --with-tcl=/usr/lib/$(DEB_HOST_MULTIARCH)/tcl8.6
  export CROSS_BUILDING=no
else
  confflags += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE) --with-tcl=/usr/lib/$(DEB_HOST_MULTIARCH)/tcl8.6
  LDFLAGS += -L/usr/lib/$(DEB_HOST_MULTIARCH)
  export CROSS_BUILDING=yes
endif

ifeq ($(origin CC),default)
  HOST_CC ?= $(DEB_HOST_GNU_TYPE)-gcc
else
  HOST_CC ?= $(CC)
endif

export CFLAGS += -O2 -fno-strict-aliasing \
	-DSQLITE_SECURE_DELETE -DSQLITE_ENABLE_COLUMN_METADATA \
	-DSQLITE_ENABLE_FTS3 -DSQLITE_ENABLE_FTS3_PARENTHESIS \
	-DSQLITE_ENABLE_RTREE=1 -DSQLITE_SOUNDEX=1 \
	-DSQLITE_ENABLE_UNLOCK_NOTIFY \
	-DSQLITE_OMIT_LOOKASIDE=1 -DSQLITE_ENABLE_DBSTAT_VTAB \
	-DSQLITE_ENABLE_UPDATE_DELETE_LIMIT=1 \
	-DSQLITE_ENABLE_LOAD_EXTENSION \
	-DSQLITE_ENABLE_JSON1 \
	-DSQLITE_LIKE_DOESNT_MATCH_BLOBS \
	-DSQLITE_THREADSAFE=1 \
	-DSQLITE_ENABLE_FTS3_TOKENIZER=1 \
	-DSQLITE_USE_URI=1 \
	-DSQLITE_MAX_SCHEMA_RETRY=25 \
	-DSQLITE_ENABLE_PREUPDATE_HOOK \
	-DSQLITE_ENABLE_SESSION \
	-DSQLITE_ENABLE_STMTVTAB \
	-DSQLITE_MAX_VARIABLE_NUMBER=250000

configure: configure-stamp
configure-stamp:
	dh_testdir
	dh_autoreconf --as-needed
	dh_update_autotools_config
	./configure --prefix=/usr --mandir="/usr/share/man" \
	  $(confflags) --enable-threadsafe \
	  --enable-load-extension \
	  --enable-json1 \
	  --enable-fts4 \
	  --enable-fts5 \
	  --disable-amalgamation \
	  --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) \
	  --libexecdir=\$${libdir}/sqlite3 \
	  TCLLIBDIR=/usr/lib/tcltk/sqlite3 \
	  SHELL=/bin/sh \
	  $(DDEBUG)

	# remove double -ldl from sqlite3.pc
	sed -i "s/\([-ldl .+]\) -ldl/\1/" sqlite3.pc

	touch $@

build-arch: build-stamp
build-indep: build-stamp

build: build-arch build-indep
build-stamp: configure
	dh_testdir
	$(MAKE)
ifeq (,$(findstring $(DEB_BUILD_ARCH_OS),kfreebsd))
	# build tools
	$(MAKE) showdb showjournal showstat4 showwal sqldiff sqlite3_analyzer
endif
ifneq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
	$(MAKE) lemon
endif
	cd ext/misc && $(HOST_CC) $(LDFLAGS) $(CPPFLAGS) $(CFLAGS) -g -fPIC -I../.. -shared csv.c -o csv.so

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f configure-stamp build-stamp
	rm -f config.log config.h pkgIndex.tcl configure
	[ ! -f Makefile ] || $(MAKE) distclean
	rm -f config.h sqlite3session.h mksourceid
	rm -f ext/misc/csv.so
	dh_autoreconf_clean
	dh_clean

install: build
	dh_testdir
	dh_testroot

	$(MAKE) install DESTDIR=$(DESTDIR)
	chrpath -d $(DESTDIR)/usr/bin/sqlite3
	chrpath -d $(DESTDIR)/usr/lib/tcltk/sqlite3/libtclsqlite3.so
	install -m 0664 libtclsqlite3.la $(DESTDIR)/usr/lib/tcltk/sqlite3/
	install -d $(DESTDIR)/usr/share/lemon
	install -m 0664 tool/lempar.c $(DESTDIR)/usr/share/lemon/
ifeq (,$(findstring $(DEB_BUILD_ARCH_OS),kfreebsd))
	install -m 0775 showdb showjournal showstat4 showwal \
		sqldiff sqlite3_analyzer \
	       	$(DESTDIR)/usr/bin/
endif
	install -m 0775 lemon $(DESTDIR)/usr/bin/
	install -d $(DESTDIR)/usr/lib/$(DEB_HOST_MULTIARCH)/sqlite/
	install -m 0775 ext/misc/csv.so \
		$(DESTDIR)/usr/lib/$(DEB_HOST_MULTIARCH)/sqlite/

	# Remove *.la files per policy 3.9.1.0
	rm $(DESTDIR)/usr/lib/$(DEB_HOST_MULTIARCH)/libsqlite3.la

	# Create the pkgIndex.tcl file for the Tcl module. This generated file
	# actually turns out to be relocatable.
ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
	echo "pkg_mkIndex -verbose $(DESTDIR)/usr/lib/tcltk/sqlite3" | \
		LD_LIBRARY_PATH=$(DESTDIR)/usr/lib/$(DEB_HOST_MULTIARCH) \
		tclsh8.6
	grep -q 'package ifneeded sqlite3' \
		$(DESTDIR)/usr/lib/tcltk/sqlite3/pkgIndex.tcl || \
		(echo "pkgIndex.tcl seems to be wrong" && exit 1)
else
	echo "" > $(DESTDIR)/usr/lib/tcltk/sqlite3/pkgIndex.tcl
endif

binary-indep: build install
	dh_testdir
	dh_testroot

	dh_install -i --sourcedir=$(DESTDIR)
	dh_installdocs -i
	lynx -dump -nolist www/changes.html >changelog
	dh_installchangelogs -i www/changes.html changelog
	rm changelog
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch: build install
	dh_testdir
	dh_testroot

	dh_install -a --sourcedir=$(DESTDIR)
	dh_installman -a
	dh_installdocs -a
	lynx -dump -nolist www/changes.html >changelog
	dh_installchangelogs -a www/changes.html changelog
	rm changelog
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
	dh_makeshlibs -a
	dh_installdeb -a
	dh_shlibdeps -a -Ldebian/libsqlite3-0/usr/lib/$(DEB_HOST_MULTIARCH)
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build build-indep build-arch clean configure binary-indep binary-arch binary

## sqlite3 3.39.3

=== debian/changelog ===
sqlite3 (3.39.3-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 05 Sep 2022 17:38:52 +0200

sqlite3 (3.39.2-1) unstable; urgency=high

  * New upstream release:
    - apply fixes for CVE-2022-35737.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 22 Jul 2022 12:10:48 +0000

sqlite3 (3.39.1-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 14 Jul 2022 17:51:49 +0200

sqlite3 (3.39.0-3) unstable; urgency=medium

  [ Helmut Grohne <helmut@subdivi.de> ]
  * libsqlite3-dev: Generalize libc6-dev dependency to libc-dev
    (closes: #1014893).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 14 Jul 2022 06:23:16 +0200

sqlite3 (3.39.0-2) unstable; urgency=medium

  * Compile with -DSQLITE_ALLOW_ROWID_IN_VIEW to re-enable rowid for views
    (closes: #1014495).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 07 Jul 2022 00:04:47 +0200

sqlite3 (3.39.0-1) unstable; urgency=medium

  * New upstream release.
  * Update symbols file.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 29 Jun 2022 23:27:17 +0200

sqlite3 (3.38.5-1) unstable; urgency=high

  * New upstream release:
    - fix a byte-code problem in the Bloom filter pull-down optimization that
      enters an infinite loop.

  [ Helmut Grohne <helmut@subdivi.de> ]
  * Link sqlite3 dynamically with its library (closes: #1010516).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 07 May 2022 13:18:57 +0200

sqlite3 (3.38.3-1) unstable; urgency=medium

  * New upstream release.
  * Update symbols file.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 30 Apr 2022 07:13:56 +0200

sqlite3 (3.38.2-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 28 Mar 2022 17:35:33 +0200

sqlite3 (3.38.1-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 13 Mar 2022 19:02:54 +0100

sqlite3 (3.38.0-1) unstable; urgency=medium

  * New upstream release.
  * Remove sqlite3ParserReset@Base symbol as no longer part of the library.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 27 Feb 2022 19:52:50 +0100

=== debian/rules ===
--- 
+++ 
@@ -46,6 +46,7 @@
 	-DSQLITE_ENABLE_RTREE=1 -DSQLITE_SOUNDEX=1 \
 	-DSQLITE_ENABLE_UNLOCK_NOTIFY \
 	-DSQLITE_OMIT_LOOKASIDE=1 -DSQLITE_ENABLE_DBSTAT_VTAB \
+	-DSQLITE_ALLOW_ROWID_IN_VIEW \
 	-DSQLITE_ENABLE_UPDATE_DELETE_LIMIT=1 \
 	-DSQLITE_ENABLE_LOAD_EXTENSION \
 	-DSQLITE_ENABLE_JSON1 \
@@ -67,7 +68,7 @@
 	./configure --prefix=/usr --mandir="/usr/share/man" \
 	  $(confflags) --enable-threadsafe \
 	  --enable-load-extension \
-	  --enable-json1 \
+	  --enable-json \
 	  --enable-fts4 \
 	  --enable-fts5 \
 	  --disable-amalgamation \

## sqlite3 3.39.4

=== debian/changelog ===
sqlite3 (3.39.4-1) unstable; urgency=high

  * New upstream release:
    - fix a possible integer overflow in the size computation for a memory
      allocation in FTS3.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 02 Oct 2022 18:17:34 +0200

## sqlite3 3.40.0

=== debian/changelog ===
sqlite3 (3.40.0-2) unstable; urgency=high

  * Backport upstream security fix for CVE-2022-46908: when relying on --safe
    for execution of an untrusted CLI script, does not properly implement the
    azProhibitedFunctions protection mechanism (closes: #1026293).

  [ Helge Deller <deller@gmx.de> ]
  * Enable large file support (closes: #1026171).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 18 Dec 2022 10:03:56 +0100

sqlite3 (3.40.0-1) unstable; urgency=medium

  * New upstream release.
  * Remove sqlite3StdTypeMap@Base symbol as no longer part of the library.
  * Update symbols file.
  * Update patches to apply clean.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 16 Nov 2022 18:21:56 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: sqlite3
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
+Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
 Build-Depends: debhelper-compat (= 13), autoconf (>= 2.59), libtool (>= 1.5.2), automake, chrpath, lynx, libreadline-dev, tcl8.6-dev
 Build-Conflicts: tcl8.4, tcl8.4-dev, tcl8.5, tcl8.5-dev
 Standards-Version: 4.5.1
@@ -65,7 +64,7 @@
 Suggests: sqlite3-doc
 Section: libdevel
 Architecture: any
-Depends: libsqlite3-0 (= ${binary:Version}), ${misc:Depends}, libc6-dev
+Depends: libsqlite3-0 (= ${binary:Version}), ${misc:Depends}, libc-dev
 Multi-Arch: same
 Description: SQLite 3 development files
  SQLite is a C library that implements an SQL database engine.

## sqlite3 3.40.1

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
 Build-Depends: debhelper-compat (= 13), autoconf (>= 2.59), libtool (>= 1.5.2), automake, chrpath, lynx, libreadline-dev, tcl8.6-dev
 Build-Conflicts: tcl8.4, tcl8.4-dev, tcl8.5, tcl8.5-dev
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://www.sqlite.org/
 
@@ -52,7 +52,7 @@
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Breaks: python-migrate (<< 0.11.0-4~), python3-migrate (<< 0.11.0-4~)
+Breaks: python-migrate (<< 0.11.0-4~), python3-migrate (<< 0.11.0-4~), crowdsec (<< 1.4)
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Description: SQLite 3 shared library

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 export LC_ALL:=C.UTF-8
 
-export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all future=+lfs
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk

## sqlite3 3.42.0

=== debian/changelog ===
sqlite3 (3.42.0-1ubuntu0.1) mantic-security; urgency=medium

  * SECURITY UPDATE: heap overflow in sessionReadRecord
    - debian/patches/CVE-2023-7104.patch: fix a buffer overread in the
      sessions extension that could occur when processing a corrupt
      changeset in ext/session/sqlite3session.c.
    - CVE-2023-7104

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 02 Jan 2024 09:20:26 -0500

sqlite3 (3.42.0-1) unstable; urgency=medium

  * New upstream release.
  * Remove sqlite3ExprIsTableConstraint@Base and
    sqlite3SelectAddColumnTypeAndCollation@Base symbols as no longer part
    of the library.
  * Update symbols file.

  [ Samuel Thibault <sthibault@debian.org> ]
  Add hurd-amd64 support (closes: #1035646).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 24 Jun 2023 16:16:47 +0200

sqlite3 (3.40.1-2) unstable; urgency=medium

  [ Cyril Brulebois <cyril@debamax.com> ]
  * Add Breaks against crowdsec as found in bullseye, as it relies on a
    particular table_info format, which changes between 3.36.0 and 3.37.0
    (closes: #1033029).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 16 Mar 2023 19:54:28 +0100

sqlite3 (3.40.1-1) unstable; urgency=medium

  * New upstream release.
  * Update symbols file.
  * Update Standards-Version to 4.6.2 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 31 Dec 2022 09:41:40 +0100

## sqlite3 3.44.2

=== debian/changelog ===
sqlite3 (3.44.2-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 25 Nov 2023 18:47:34 +0100

sqlite3 (3.44.0-1) unstable; urgency=medium

  * New upstream release.
  * Re-enable lookaside allocator (closes: #1051495).
  * Update symbols file.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 04 Nov 2023 10:08:53 +0100

sqlite3 (3.43.2-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 10 Oct 2023 18:26:22 +0200

sqlite3 (3.43.1-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 12 Sep 2023 07:07:43 +0000

sqlite3 (3.43.0-1) unstable; urgency=medium

  * New upstream release.
  * Update symbols file.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 04 Sep 2023 06:08:25 +0000

## sqlite3 3.45.0

=== debian/changelog ===
sqlite3 (3.45.0-1) unstable; urgency=medium

  * New upstream release.
  * Update symbols file.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 20 Jan 2024 18:57:21 +0100

## sqlite3 3.45.1

=== ext/lsm1/Makefile ===
#
# This Makefile is designed for use with main.mk in the root directory of
# this project. After including main.mk, the users makefile should contain:
#
#    LSMDIR=$(TOP)/ext/lsm1/
#    LSMOPTS=-fPIC
#    include $(LSMDIR)/Makefile
#
# The most useful targets are [lsmtest] and [lsm.so].
#

LSMOBJ    = \
  lsm_ckpt.o \
  lsm_file.o \
  lsm_log.o \
  lsm_main.o \
  lsm_mem.o \
  lsm_mutex.o \
  lsm_shared.o \
  lsm_sorted.o \
  lsm_str.o \
  lsm_tree.o \
  lsm_unix.o \
  lsm_win32.o \
  lsm_varint.o \
  lsm_vtab.o

LSMHDR   = \
  $(LSMDIR)/lsm.h \
  $(LSMDIR)/lsmInt.h

LSMTESTSRC = $(LSMDIR)/lsm-test/lsmtest1.c $(LSMDIR)/lsm-test/lsmtest2.c     \
             $(LSMDIR)/lsm-test/lsmtest3.c $(LSMDIR)/lsm-test/lsmtest4.c     \
             $(LSMDIR)/lsm-test/lsmtest5.c $(LSMDIR)/lsm-test/lsmtest6.c     \
             $(LSMDIR)/lsm-test/lsmtest7.c $(LSMDIR)/lsm-test/lsmtest8.c     \
             $(LSMDIR)/lsm-test/lsmtest9.c                                   \
             $(LSMDIR)/lsm-test/lsmtest_datasource.c \
             $(LSMDIR)/lsm-test/lsmtest_func.c $(LSMDIR)/lsm-test/lsmtest_io.c  \
             $(LSMDIR)/lsm-test/lsmtest_main.c $(LSMDIR)/lsm-test/lsmtest_mem.c \
             $(LSMDIR)/lsm-test/lsmtest_tdb.c $(LSMDIR)/lsm-test/lsmtest_tdb3.c \
             $(LSMDIR)/lsm-test/lsmtest_util.c $(LSMDIR)/lsm-test/lsmtest_win32.c


# all: lsm.so

LSMOPTS += -fPIC -DLSM_MUTEX_PTHREADS=1 -I$(LSMDIR) -DHAVE_ZLIB

lsm.so:	$(LSMOBJ)
	$(TCCX) -shared -fPIC -o lsm.so $(LSMOBJ)

%.o:	$(LSMDIR)/%.c $(LSMHDR) sqlite3.h
	$(TCCX) $(LSMOPTS) -c $<
	
lsmtest$(EXE): $(LSMOBJ) $(LSMTESTSRC) $(LSMTESTHDR) sqlite3.o
	# $(TCPPX) -c $(TOP)/lsm-test/lsmtest_tdb2.cc
	$(TCCX) $(LSMOPTS) $(LSMTESTSRC) $(LSMOBJ) sqlite3.o -o lsmtest$(EXE) $(THREADLIB) -lz

=== debian/changelog ===
sqlite3 (3.45.1-1ubuntu2.5) noble-security; urgency=medium

  * SECURITY UPDATE: integer overflow in FTS5 extension
    - debian/patches/CVE-2025-7709.patch: optimize allocation of large
      tombstone arrays in fts5 in ext/fts5/fts5_index.c.
    - CVE-2025-7709

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 11 Sep 2025 14:06:42 -0400

sqlite3 (3.45.1-1ubuntu2.4) noble-security; urgency=medium

  * SECURITY UPDATE: Memory corruption via number of aggregate terms
    - debian/patches/CVE-2025-6965.patch: raise an error right away if the
      number of aggregate terms in a query exceeds the maximum number of
      columns in src/expr.c, src/sqliteInt.h.
    - CVE-2025-6965

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 18 Jul 2025 10:56:16 -0400

sqlite3 (3.45.1-1ubuntu2.3) noble-security; urgency=medium

  * SECURITY UPDATE: integer overflow through the concat function
    - debian/patches/CVE-2025-29087_3277.patch: add a typecast to avoid
      32-bit integer overflow in src/func.c.
    - CVE-2025-29087
    - CVE-2025-3277
  * SECURITY UPDATE: DoS via sqlite3_db_config arguments
    - debian/patches/CVE-2025-29088.patch: harden SQLITE_DBCONFIG_LOOKASIDE
      interface against misuse in src/main.c, src/sqlite.h.in.
    - CVE-2025-29088

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 29 Apr 2025 12:34:06 -0400

sqlite3 (3.45.1-1ubuntu2.1) noble; urgency=medium

  * SRU: LP: #2083480: No-change rebuild to disable frame pointers on
    ppc64el and s390x.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 02 Oct 2024 14:40:50 +0200

sqlite3 (3.45.1-1ubuntu2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 08:24:45 +0000

sqlite3 (3.45.1-1ubuntu1) noble; urgency=medium

  * No-change rebuild against libreadline8t64

 -- Zixing Liu <zixing.liu@canonical.com>  Fri, 08 Mar 2024 17:06:49 -0700

sqlite3 (3.45.1-1) unstable; urgency=medium

  * New upstream release.
  * Update symbols file.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 02 Feb 2024 17:56:21 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: sqlite3
 Section: devel
 Priority: optional
-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
 Build-Depends: debhelper-compat (= 13), autoconf (>= 2.59), libtool (>= 1.5.2), automake, chrpath, lynx, libreadline-dev, tcl8.6-dev
 Build-Conflicts: tcl8.4, tcl8.4-dev, tcl8.5, tcl8.5-dev
 Standards-Version: 4.6.2
@@ -88,7 +89,7 @@
 Package: sqlite3-tools
 Suggests: sqlite3-doc
 Section: database
-Architecture: linux-any hurd-i386
+Architecture: linux-any hurd-any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Breaks: sqlite3 (<< 3.37.0)
 Replaces: sqlite3 (<< 3.37.0)

=== debian/watch ===
version=4
opts="uversionmangle=s/\.0/\./g;s/\.0+$//;s/_/\./g" \
  https://www.sqlite.org/ .*releaselog/(\d\S+).html

## sqlite3 3.46.0

=== debian/changelog ===
sqlite3 (3.46.0-1) unstable; urgency=medium

  * New upstream release.
  * Remove sqlite3ExprIsConstantNotJoin@Base and
    sqlite3ExprIsTableConstant@Base symbols as no longer part of the library.
  * Update symbols file.
  * Update Standards-Version to 4.7.0 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 30 May 2024 19:37:02 +0200

sqlite3 (3.45.3-1) unstable; urgency=medium

  * New upstream release.
  * Update symbols file.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 16 Apr 2024 18:12:58 +0200

sqlite3 (3.45.2-1) unstable; urgency=medium

  * New upstream release.
  * Enable strict result subtype checking.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 13 Mar 2024 21:16:30 +0100

## sqlite3 3.46.1

=== debian/changelog ===
sqlite3 (3.46.1-9) unstable; urgency=medium

  * Add pkgconf build dependency to fix link problem with ICU extension
    (closes: #1099724).
  * Remove now redundant Rules-Requires-Root value.
  * Update watch file.
  * Update Standards-Version to 4.7.2 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 24 Jan 2026 09:48:16 +0100

sqlite3 (3.46.1-8) unstable; urgency=high

  * Backport upstream security fix for CVE-2025-7709: integer overflow in the
    FTS5 extension (closes: #1114609).
  * No longer compile with the SQLITE_ENABLE_FTS3_TOKENIZER option.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 09 Sep 2025 18:47:18 +0200

sqlite3 (3.46.1-7) unstable; urgency=high

  * Backport upstream security fix for CVE-2025-6965: the number of aggregate
    terms could exceed the number of columns available (closes: #1109379).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 25 Jul 2025 21:04:34 +0200

sqlite3 (3.46.1-6) unstable; urgency=medium

  * Correct version of sqlite3DbpageRegister@Base library symbol.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 28 May 2025 07:02:56 +0200

sqlite3 (3.46.1-5) unstable; urgency=medium

  * Backport upstream fix for a bug in the NOT NULL/IS NULL optimization that
    can cause invalid data to be used for a column if that column has a CHECK
    constraint that includes the NOT NULL or IS NULL operator.
  * Enable the SQLITE_DBPAGE extension (closes: #1099542).
  * Update symbols file.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 24 May 2025 15:36:17 +0200

sqlite3 (3.46.1-4) unstable; urgency=high

  * Backport upstream security fix for CVE-2025-29088: certain argument
    values to sqlite3_db_config() can cause a denial of service (application
    crash) (closes: #1102670).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 18 Apr 2025 19:33:30 +0200

sqlite3 (3.46.1-3) unstable; urgency=high

  * Backport upstream security fix for CVE-2025-29087: the concat_ws()
    function could lead to a memory error if the separator string is very
    large (hundreds of megabytes) (closes: #1102411).
  * Move sqldiff man page to sqlite3-tools package (closes: #1084194).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 09 Apr 2025 16:39:52 +0200

sqlite3 (3.46.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 08 Mar 2025 10:37:51 +0100

sqlite3 (3.46.1-2~exp) experimental; urgency=medium

  [ Mike Gabriel <sunweaver@debian.org> ]
  * debian/:
    + Build ICU extension as dynamically loadable library and ship it in
      bin:pkg libsqlite3-ext-icu (closes: #758985).

  [ Laszlo Boszormenyi (GCS) ]
  * Ship CSV extension in libsqlite3-ext-csv (closes: #900277).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 04 Mar 2025 18:11:03 +0100

sqlite3 (3.46.1-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 14 Aug 2024 21:40:03 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,10 @@
 Source: sqlite3
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
-Build-Depends: debhelper-compat (= 13), autoconf (>= 2.59), libtool (>= 1.5.2), automake, chrpath, lynx, libreadline-dev, tcl8.6-dev
+Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
+Build-Depends: debhelper-compat (= 13), autoconf (>= 2.59), libtool (>= 1.5.2), automake, pkgconf, chrpath, lynx, libreadline-dev, tcl8.6-dev, libicu-dev
 Build-Conflicts: tcl8.4, tcl8.4-dev, tcl8.5, tcl8.5-dev
-Standards-Version: 4.6.2
-Rules-Requires-Root: no
+Standards-Version: 4.7.2
 Homepage: https://www.sqlite.org/
 
 Package: lemon
@@ -86,13 +84,41 @@
  .
  This package contains the Tcl bindings.
 
+Package: libsqlite3-ext-csv
+Suggests: sqlite3-doc
+Section: libs
+Architecture: any
+Depends: ${shlibs:Depends}, libsqlite3-0 (= ${binary:Version}), ${misc:Depends}
+Multi-Arch: same
+Description: SQLite 3 CSV extension
+ SQLite is a C library that implements an SQL database engine.
+ Programs that link with the SQLite library can have SQL database
+ access without running a separate RDBMS process.
+ .
+ This package contains the CSV extension as dynamically loadable
+ library.
+
+Package: libsqlite3-ext-icu
+Suggests: sqlite3-doc
+Section: libs
+Architecture: any
+Depends: ${shlibs:Depends}, libsqlite3-0 (= ${binary:Version}), ${misc:Depends}
+Multi-Arch: same
+Description: SQLite 3 ICU extension
+ SQLite is a C library that implements an SQL database engine.
+ Programs that link with the SQLite library can have SQL database
+ access without running a separate RDBMS process.
+ .
+ This package contains the ICU extension as dynamically loadable
+ library.
+
 Package: sqlite3-tools
 Suggests: sqlite3-doc
 Section: database
 Architecture: linux-any hurd-any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Breaks: sqlite3 (<< 3.37.0)
-Replaces: sqlite3 (<< 3.37.0)
+Breaks: sqlite3 (<< 3.46.1-3)
+Replaces: sqlite3 (<< 3.46.1-3)
 Conflicts: emboss
 Multi-Arch: foreign
 Description: Command line interface for SQLite 3 (tools)

=== debian/watch ===
Version: 5

Source: https://www.sqlite.org/
Matching-Pattern: .*releaselog/(\d\S+).html
Uversionmangle: s/\.0/\./g;s/\.0+$//;s/_/\./g
